<?php

$GLOBALS['strBarChart'] = "Bar Chart";
$GLOBALS['strPieChart'] = "Pie Chart";
$GLOBALS['strLineChart'] = "Line Chart";


$GLOBALS['strGpCamp'] = "Group by Campaign";
$GLOBALS['strGpBan'] = "Group by Banner";
$GLOBALS['strGpWeb'] = "Group by Website";
$GLOBALS['strGpZone'] = "Group by Zone";
$GLOBALS['strGpDate'] = "Group by Date";



$GLOBALS['strDsToday'] = "Today";
$GLOBALS['strDsYester'] = "Yesterday";
$GLOBALS['strDsTweek'] = "This Week";
$GLOBALS['strDsLweel'] = "Last Week";
$GLOBALS['strDsLast7'] = "Last 7 days";
$GLOBALS['strDsTmonth'] = "This Month";
$GLOBALS['strDsLmonth'] = "Last Month";
$GLOBALS['strDsAllStat'] = "All statistics";
$GLOBALS['strDsSpecDate'] = "Specific Dates";



    /*
    +---------------------------------------------------------------------------+
    | Revive Adserver                                                           |
    | http://www.revive-adserver.com                                            |
    |                                                                           |
    | Copyright: See the COPYRIGHT.txt file.                                    |
    | License: GPLv2 or later, see the LICENSE.txt file.                        |
    +---------------------------------------------------------------------------+
    */
    
    // Require the initialisation file
    
    require_once '../../../../init.php';
    // Required files
    require_once MAX_PATH . '/www/admin/config.php';
    require_once LIB_PATH . '/Plugin/PluginManager.php';
    require_once LIB_PATH . '/Plugin/ComponentGroupManager.php';
    require_once MAX_PATH . '/lib/pear/Date.php';   
    require_once MAX_PATH . '/lib/OA/Dal.php';
     
    OA_Permission::enforceAccount(OA_ACCOUNT_MANAGER, OA_ACCOUNT_TRAFFICKER, OA_ACCOUNT_ADMIN);

    $oPluginManager = new OX_PluginManager();
    $oComponentGroupManager = new OX_Plugin_ComponentGroupManager();
    phpAds_PageHeader('advreport', $oHeaderModel);
    $id = '';

    if($_GET['clientid'] != ''){
      $id = 'clientid='.$_GET['clientid'];
    }else if($_GET['affiliateid'] != ''){
      $id = 'pubid='.$_GET['affiliateid'];
    }else if($GLOBALS['GLOBALS']['session']['user']->aAccount['account_type'] == 'MANAGER'){
      $id = 'manager='.$GLOBALS['GLOBALS']['session']['user']->aAccount['agency_id'];
    }
    /*-------------------------------------------------------*/
    /* Store preferences                                     */
    /*-------------------------------------------------------*/
    $session['prefs']['inventory_entities'][OA_Permission::getEntityId()]['clientid'] = $clientid;
    $session['prefs']['inventory_entities'][OA_Permission::getEntityId()]['campaignid'][$clientid] = $campaignid;
    phpAds_SessionDataStore();
    
    // Initialise some parameters
    $pageName = basename($_SERVER['SCRIPT_NAME']);
    $tabindex = 1;

    OA_Permission::enforceAccount(OA_ACCOUNT_MANAGER, OA_ACCOUNT_TRAFFICKER, OA_ACCOUNT_ADMIN);
    
    ## ACCOUNT TYPE

    $id = '';

    if($_GET['clientid'] != ''){
      $id = 'clientid='.$_GET['clientid'];
    }else if($_GET['affiliateid'] != ''){
      $id = 'pubid='.$_GET['affiliateid'];
    }else if($GLOBALS['GLOBALS']['session']['user']->aAccount['account_type'] == 'MANAGER'){
      $id = 'manager='.$GLOBALS['GLOBALS']['session']['user']->aAccount['agency_id'];
    }

?>

<style type="text/css">
    
    div.breadcrumb
    {
      z-index: 0 !important;
    }

</style>

<script src="assets/js/jquery-3.4.1.min.js"></script>
<script src="assets/js/jquery_datatable.js"></script>

<link rel="stylesheet" type="text/css" href="assets/data_table/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="assets/data_table/buttons.dataTables.min.css">
<link rel="stylesheet" type="text/css" href="assets/data_table/custom.css">
<link rel="stylesheet" type="text/css" href="assets/css/multi-select.css">
<link rel="stylesheet" type="text/css" href="assets/css/jquery_datatable.css">
<link rel="stylesheet" type="text/css" href="assets/chart/Chart.min.css">

<script src="assets/chart/Chart.min.js"></script>
<script src="assets/js/jquery.multi-select.js"></script>
<script src="assets/data_table/pdfmake.min.js"></script>
<script src="assets/data_table/vfs_fonts.js"></script>
<script src="assets/data_table/jszip.min.js"></script>
<script src="assets/data_table/buttons.print.min.js"></script>
<script src="assets/data_table/dataTables.buttons.min.js"></script>
<script src="assets/data_table/buttons.flash.min.js"></script>
<script src="assets/data_table/buttons.html5.min.js"></script>
<script src="assets/js/jspdf.min.js"></script>
<script src="assets/js/html2canvas.min.js"></script>



<form method='post' class="form-horizontal" style="margin-top: -25px;" >

    <table class="table table-borderless">
    <thead>
        <tr>
            <td>
                <input type="hidden" id="ids" value="<?=$id;?>">
                <select name='chart_type' id='chart_type' class="form-control" tabindex='1'>
                    <option value='bar' selected='selected'><?php echo $GLOBALS['strBarChart'];  ?></option>
                    <option value='pie'><?php echo $GLOBALS['strPieChart'];  ?></option>
                    <option value='line'><?php echo $GLOBALS['strLineChart'];  ?></option>
                </select>
            </td>

            <td>
                <select name='line_dimension[]' style="background: #bdb7b738; " multiple class='form-control line_dimension' tabindex='1'>
                    <option value="1"><?php echo $GLOBALS['strGpCamp'];  ?></option>
                    <option value="2"><?php echo $GLOBALS['strGpBan'];  ?></option>
                    <option value="4"><?php echo $GLOBALS['strGpWeb'];  ?></option>
                    <option value="5"><?php echo $GLOBALS['strGpZone'];  ?></option>
                    <option value="6"><?php echo $GLOBALS['strGpDate'];  ?></option>

                </select>
            </td>

            <td>
                <select name='period_preset' class="form-control" id='period_preset' tabindex='1'>
                    <option value='1'  selected='selected'><?php echo $GLOBALS['strDsToday'];  ?></option>
                    <option value='2'><?php echo $GLOBALS['strDsYester'];  ?></option>
                    <option value='3'><?php echo $GLOBALS['strDsTweek'];  ?></option>
                    <option value='4'><?php echo $GLOBALS['strDsLweel'];  ?></option>
                    <option value='5'  ><?php echo $GLOBALS['strDsLast7'];  ?></option>
                    <option value='6'><?php echo $GLOBALS['strDsTmonth'];  ?></option>
                    <option value='7'><?php echo $GLOBALS['strDsLmonth'];  ?></option>
                    <option value='8'><?php echo $GLOBALS['strDsAllStat'];  ?></option>
                    <option value='9'><?php echo $GLOBALS['strDsSpecDate'];  ?></option>
                </select>
            </td>

            <td>

                <input name="period_start" style="height: calc(1.5em + .75rem + 5px); padding: .375rem .75rem; border-radius: .25rem; border-width: 1px; padding-left: 10px; column-width: 120px;" id="period_start" type="text" readonly="true" />
                <input type='image' src='assets/images/icon-calendar-d.gif' id='period_start_button'/>
            </td>

            <td>
                <input name="period_end" style="height: calc(1.5em + .75rem + 5px); padding: .375rem .75rem; border-radius: .25rem; border-width: 1px; padding-left: 10px; column-width: 120px;" id="period_end" type="text" readonly="true"/> 
                <input type='image' src='assets/images/icon-calendar-d.gif' id='period_end_button'/>

            </td>

            <td>
                <div style="column-width: 100px;" id="download_btn" class="dropdown"> 
                    <div class="bar"></div>
                    <div class="bar"></div>
                    <div class="bar"></div>

                    <div class="dropdown-content" style="left:0;">
                        <a id="download_btnjpeg" style="margin-left: 1%;" href="#"><img src="assets/images/download.png"> JPEG</a> 
                        <a id="download_btnpng" style="margin-left: 1%;" href="#"><img src="assets/images/download.png"> PNG</a> 
                        <a id="download_btnpdf" style="margin-left: 1%;" href="#"><img src="assets/images/download.png"> PDF</a> 
                    </div>
                </div>

            </td>
        </tr>
    </thead>
    </table>

</form>

<center>
    <table>
        <tr>
            <td>
                <div class="chart-container">
                    <canvas id="myChart" width="550" height="300"></canvas>
                </div>
            </td>
        </tr>
    </table>
</center>

</br>

<div class="border-key">

    <div class="title" style="display: block;">
      <h1 class="h4 text-center keywordaback"><?php echo $GLOBALS['strReports'];  ?></h1>
    </div>

    <table id="table_report" class="display" width="100%" cellspacing="0">
        <thead>
            <tr>
                <th class="aleft" style="font-size:13px;"><?php echo $GLOBALS['strAdvertiser'];  ?></th>
                <th class="aleft" style="font-size:13px;" id="data_type1"><?php echo $GLOBALS['strCampaign'];  ?></th>
                <th class="aleft" style="font-size:13px;" id="data_type2"><?php echo $GLOBALS['strBanner'];  ?></th>
                <th class="aleft" style="font-size:13px;" id="data_type3"><?php echo $GLOBALS['strPublisher'];  ?></th>
                <th class="aleft" style="font-size:13px;" id="data_type4"><?php echo $GLOBALS['strWebsite'];  ?></th>
                <th class="aleft" style="font-size:13px;" id="data_type5"><?php echo $GLOBALS['strZone'];  ?></th>
                <th class="aleft" style="font-size:13px;" id="data_type6"><?php echo $GLOBALS['strDate'];  ?></th>
                <th class="aleft" style="font-size:13px;" id="data_type7"><?php echo $GLOBALS['strGeo'];  ?></th>
                <th class="aleft" style="font-size:13px;"><?php echo $GLOBALS['strRequests'];  ?></th>
                <th class="aleft" style="font-size:13px;"><?php echo $GLOBALS['strImpression'];  ?></th>
                <th class="aleft" style="font-size:13px;"><?php echo $GLOBALS['strClick'];  ?></th>
                <th class="aleft" style="font-size:13px;"><?php echo $GLOBALS['strConversions'];  ?></th>
                <th class="aleft" style="font-size:13px;">CTR</th>
            </tr>
        </thead>
        <tbody id="append_data"></tbody>
    </table>

</div>

<?php
    phpAds_PageFooter();   
?>

<script> 
var varl = [];
varl["Click"] ="<?php echo $GLOBALS['strClick'];  ?>";
varl["Impression"] ="<?php echo $GLOBALS['strImpression'];  ?>";

</script>

<script src="assets/js/browser.js"></script>
<script src="assets/js/advertiser-report.js"></script>
